<template>
  <div class="recent-con">
    <navs :isLogin="isLogin" :rightText="rightText" @went="goBack()"></navs>
    <ul class="recent-pare-con">
      <li>
        <mistake :mistake-array="mArray" :isMistake="isMistake"></mistake>
      </li>
    </ul>


  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import mistake from '../components/mistakeList.vue';
  import M from '../utils/api.js'
  export default {
    name: 'recent',
    data () {
      return {
        heights: window.innerHeight,
        isLogin: false,
        rightText: "最近学习",
        isMistake: false,
        mArray:[]

      }
    },
    created(){
        this.getRecentList();
    },
    methods: {
      goBack(){
        window.history.go(-1);
      },
      clickSelect(i){
        var vm = this;
        this.tabArray.forEach((it, idx) => {
          it.isOn = idx == i;
          vm.tabIndex = i;
        })
      },
      shareClick(i){
        switch (i) {
          case 0:
            console.log("ok");
            break;
          case 1:
            console.log("share");
            break;
        }
      },
      getRecentList(){
          let vm=this,para={pageNo:1};
          M.recent(function(data){
            vm.mArray=data.logInfo;
          },para)
      }
    },
    components: {
      navs,
      mistake
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  @import "../styles/base.css";
  @import "../styles/loading.css";
</style>
